//===========================================================
// DEFEDIT.H -- Header File 
// Copyright (c) 1995 Douglas Boling
//===========================================================
// Returns no. of elements
#define dim(x) (sizeof(x) / sizeof(x[0]))   
//-----------------------------------------------------------
// Generic defines and data types
//-----------------------------------------------------------
#define INT       int
#define UINT      WORD
#define APIENTRY  PASCAL
#define WNDPROC   FARPROC

struct decodeUINT {                         // structure associates
    UINT Code;                              // messages 
    LONG (*Fxn)(HWND, UINT, UINT, LONG);    // with a function
}; 
struct decodeCMD {
    UINT Code;
    LONG (*Fxn)(HWND, UINT, HWND, UINT);
};
struct decodeCPI {
    UINT Code;
    LONG (*Fxn)(HWND, UINT, LPARAM, LPARAM);
};
//
// Standard proc defines
//
INT  InitApp(HANDLE);
INT  InitInstance(HANDLE, LPSTR, INT);
INT  TermInstance(HANDLE, INT);
LONG CALLBACK MainWndProc(HWND, UINT, UINT, LONG);

INT  MyDisplayDialog (HINSTANCE, LPCSTR, HWND, WNDPROC, LPARAM);
BOOL MyWritePrivateProfileInt (char *, char *, int, char *);
HFILE MyOpenFile (char *, INT, INT *);
INT  MyCopyFile (char *, char *);
void PrintError (HWND, INT);
BOOL MyGetFilename (HWND, char *, INT, char *, INT);
BOOL MyYield (void);

INT GetFileDescStr (char *, char *);
INT InstallProg (BOOL);
INT ChkInstalled (void);

BOOL CALLBACK SetEditDlgProc (HWND, UINT, UINT, LONG);
BOOL CALLBACK RestartDlgProc (HWND, UINT, UINT, LONG);

#define DEFEDITSTRING      "WRITE ^.^e"
//
// Error values
//
#define INFO_INSTALLED     1
#define INFO_NOTINSTALLED  2
#define ERR_OUTOFMEM      -1
#define ERR_NOTNEFILE     -2
#define ERR_UNKSHELL      -3
#define ERR_NOBATCREATE   -4
#define ERR_DOSOPEN      -63
//
// Profile String Names
//
#define     PRO_XPOS       "WinPosX"
#define     PRO_YPOS       "WinPosY"
#define     PRO_EDITOR     "DefEditor"
//
// Resource Idendifiers.  
//
#define     IDD_SETEDIT    101
#define     IDD_INSTALL    102
#define     IDD_EXIT       103

#define     IDD_EDITOR     200
#define     IDD_BROWSE     201

#define     IDD_PROGSTR    300
#define     IDD_FRAME      301
